// Update the oxidizing species concentration at the wall

scalar Xiw_0 = p1.value() * 0.2 / (R.value() * T0.value());
// Grab Xi wall
scalarField Xiw = Xi.boundaryField()[movingPatchID];
// Grab surface normal vectorField to the patch
vectorField nf =
    - mesh.Sf().boundaryField()[movingPatchID]
    / mesh.magSf().boundaryField()[movingPatchID];
// Grab the diffusivity and velocity at the wall
tensorField Dw = D.boundaryField()[movingPatchID];
vectorField vgw = vg.boundaryField()[movingPatchID];
// Projection of D and vg on the surface normal
scalarField DProj = nf & Dw & nf;
scalarField vgProj = nf & vgw;

gradXi = fvc::grad(Xi);
//  Info << "fvc::grad(Xi) = " << gradXi << nl;
vectorField gradXibF = gradXi.boundaryField()[movingPatchID];
Info << "gradXibF = " << gradXibF << nl;
scalarField gradXiProj = nf & gradXibF;
Info << "gradXiProj = " << gradXiProj << nl;

//  scalarField gradXib = fvc::grad(Xiw) & nf; // ; // if the boundary value is needed

/*** Imposing a fixedValue for Xi at the wall  ***/

// updating BL values

Info << "Xiw_0 in setBCs =" << Xiw_0 << nl;
scalar tau = ((1.0 - ::exp(- ::pow( (runTime.value() / rampTime.value()) , 4) )));
Info << "XiPatchSize = " << XiPatchSize << nl;
Info << "movingPatchID = " << movingPatchID << nl;
forAll (XiPatchSize, i)
{
    XiMovingPatch[i] = min( max ((Xiw_0 +  DProj[i] / vgProj[i] * gradXiProj[i] * tau), 0), Xiw_0); //p0.value(); //+runTime.value()*p0.value();
    Info << "XiMovingPatch[i] =" << XiMovingPatch[i] << nl;
}


// Imposing a fixedGradient for Xi -- not as robust. Will be explored in the next release.
/*

    // Update the concentration gradient at the wall (explicit)
    scalarField gFNPatchSize(Xiw.size());

    forAll (gFNPatchSize, i)
    {
    gFN.boundaryField()[movingPatchID][i] =
        (
            - (Xiw[i] - Xiw_0) * vgProj[i] / DProj[i]
        );
Info << "grad(Xiw) in setBCs =" << gFN.boundaryField()[movingPatchID][i] <<nl;
Info << "vgProj[i] in setBCs =" << vgProj[i] <<nl;
Info << "DProj[i] in setBCs =" << DProj[i] <<nl;
Info << "Xiw in setBCs =" << Xiw[i] <<nl;
    }
*/


