// write output files in generic format for gnuplot

    if (runTime.outputTime() | (plotIndex==0))
    {
 sstrmXi << "output/XiProfile" << plotIndex;
 sstrmrF << "output/rFProfile" << plotIndex;
 sstrmepsF << "output/epsFProfile" << plotIndex;
 plotIndex++;
	OFstream XiProfile (sstrmXi.str().c_str());  // opens an output file
	XiProfile << " location(m) " << "	" << "X (mol/m³)" <<  nl;

	OFstream rFProfile (sstrmrF.str().c_str());  // opens an output file
	rFProfile << " location(m) " << "	" << "rF (m)" <<  nl;

	OFstream epsFProfile (sstrmepsF.str().c_str());  // opens an output file
	epsFProfile << " location(m) " << "	" << "eps_f (-)" <<  nl;

      // Get rid of the current content ..

 sstrmXi.str("");
 sstrmrF.str("");
 sstrmepsF.str("");



/* Print Oxygen Concentration profile */
XiProfile << "-------------------------------------" << nl;
XiProfile << "t = " << runTime.timeName() << " s" << nl;
XiProfile << "-------------------------------------" << nl;
XiProfile << mesh.Cf().boundaryField()[movingPatchID][0][1] << "	" << Xi.boundaryField()[movingPatchID][0] << nl;
int Xisize = Xi.size()-1;
forAll(Xi, i)
{
XiProfile << mesh.C()[Xisize-i][1] << "	" << Xi[Xisize-i] <<"	" << nl;
}


/* Print fiber radius profile */
rFProfile << "-------------------------------------" << nl;
rFProfile << "t = " << runTime.timeName() << " s" << nl;
rFProfile << "-------------------------------------" << nl;
// rFProfile << mesh.Cf().boundaryField()[movingPatchID][0][1] << "	" << rF.boundaryField()[movingPatchID][0] << nl;
int rFsize = rF.size()-1;
forAll(p, i)
{
rFProfile << mesh.C()[rFsize-i][1] << "	" << rF[rFsize-i] <<"	" << nl;
}

/* Print fiber volume fraction profile */
epsFProfile << "-------------------------------------" << nl;
epsFProfile << "t = " << runTime.timeName() << " s" << nl;
epsFProfile << "-------------------------------------" << nl;
// rFProfile << mesh.Cf().boundaryField()[movingPatchID][0][1] << "	" << rF.boundaryField()[movingPatchID][0] << nl;
scalar epsF =0;
forAll(p, i)
{
epsF = epsF_0.value() *(rF[rFsize-i]/rF_0.value())*(rF[rFsize-i]/rF_0.value());
epsFProfile << mesh.C()[rFsize-i][1] << "	" << epsF <<"	" << nl;
}
}
///  Compute and print Delta m /m_0  = Delta eps_f / eps_f_0  = (r_f/r_f_0)² -1
scalar delta_eps=0;
forAll(rF, i)
{
delta_eps = delta_eps + mesh.V()[i]*(rF[i]/rF_0.value())*(rF[i]/rF_0.value());
}
delta_eps= 1 - delta_eps/V_0 ;

Info << "percentage mass loss = " << delta_eps << nl;

