{
// Imposing fixedGradient on the movingPatch: Z[i]
// note: we use the special BC 'positiveGradient' in libPATO
// gradient() = (Ziw - Ziw.patchInternalField()) * this->patch().deltaCoeffs() * pos((Ziw - Ziw.patchInternalField()));

    for (int i = 0; i < ne_mix; i++)
    {
        volScalarField& zField =
        const_cast<volScalarField&>
        (
            motionMesh.objectRegistry::lookupObject<volScalarField>
            (
                "Z[" + mix.elementName(i) + "]"
            )
        );

        // access the right patch of the moving mesh
        fixedGradientFvPatchScalarField& zMovingPatch =
            refCast<fixedGradientFvPatchScalarField>
            (
                zField.boundaryFieldRef()[movingPatchID]
            );

        // update the gradient at the wall
        scalarField zPatchSize(zMovingPatch.size());

        // extract deltaCoeffs()
        // invDx = mesh.deltaCoeffs().boundaryField()[movingPatchID];
        // scalarField Zsub = Z[i].boundaryField()[movingPatchID].patchInternalField();
        // updating BL values
        if ((!mutationBprime) || (BL.heatOn(runTime.value()) != 1))
        {
            forAll(zPatchSize, patchI)
            {
                zMovingPatch[patchI] = p_Z0[i];
            }
        }

        else
        {
            forAll(zPatchSize, patchI)
            {
                zMovingPatch[patchI] = // value of Z[i].boundary updated in setMotion.H
                    Z[i].boundaryField()[movingPatchID][patchI];
            }
        }
    }
}
