{
    // Grab surface normal vectorField to the patch
    vectorField nf =
        - mesh.Sf().boundaryField()[movingPatchID]
        / mesh.magSf().boundaryField()[movingPatchID];

    // Grab T wall, p wall, mDotGy wall, and the size of the boundaryPatch
    // scalarField mDotGyw = mDotGface.boundaryField()[movingPatchID]& (-nf);

    scalarField fluxMapw = fluxMap.boundaryField()[movingPatchID];
    autoPtr<scalarField> rhoeUeCH_ptr;

    if (readBoundaryTecplotTable)
    {
        rhoeUeCH_ptr.reset(new scalarField(BL.rhoeUeCH(mesh, movingPatchID)));
    }
    else
    {
        rhoeUeCH_ptr.reset(new scalarField(BL.rhoeUeCH(runTime.value())*fluxMapw));
    }

    scalarField& rhoeUeCH = rhoeUeCH_ptr();
    scalarField invDxw    = mesh.deltaCoeffs().boundaryField()[movingPatchID];
    scalarField epsgw     = eps_g.boundaryField()[movingPatchID];
    scalarField rhogw     = rho[0].boundaryField()[movingPatchID];

    // Imposing fixedValues on the movingPatch: Y[j]

    for (int j = 0; j < Y.size(); j++)
    {
        if ((Y[j].name() == "O2") || (Y[j].name() == "N2"))
        {
            volScalarField& yField =
                const_cast<volScalarField&>
                (
                    motionMesh.objectRegistry::lookupObject<volScalarField>
                    (
                        Y[j].name()
                    )
                );

            // access the right patch of the moving mesh
            fixedValueFvPatchScalarField& yMovingPatch =
            refCast<fixedValueFvPatchScalarField>
            (
                yField.boundaryFieldRef()[movingPatchID]
            );

            // update the gradient at the wall
            scalarField yPatchSize(yMovingPatch.size());
            scalarField Ysub = Y[j].boundaryField()[movingPatchID].patchInternalField();
            scalarField Dmiw = Dm[j].boundaryField()[movingPatchID];
            scalar Bim = 0;
            // updating BL values
            // note : here, we neglect advective flux in front of convective flux - jl, 7 Nov 2017
            forAll (yPatchSize, patchI)
            {
                Bim = rhoeUeCH[patchI] / (Dmiw[patchI] * invDxw[patchI] * epsgw[patchI] * rhogw[patchI] / eta0);
                yMovingPatch[patchI] = 1 / (1 + 1/Bim) * p_Yie[j] + 1 / (1 + Bim) * Ysub[patchI]);
            }

        }
    } // end loop on species
}
