    forAll(solidsNames, i)
    {
        Info << "Loading material properties for region " << solidsNames[i] << endl;

//- Loading material properties

IOdictionary thermophysicalProperties
(
    IOobject
    (
        "thermophysicalProperties",
        runTime.constant(),
        solidRegions[i],
        IOobject::MUST_READ,
        IOobject::NO_WRITE
    )
);

/* NOTE - 27 Sept 2017
// Using system() is not the best

When C++17 becomes available update with

#include <iostream>
#include <fstream>
#include <filesystem>
namespace fs = std::filesystem;
 
int main()
{
    fs::create_directories("sandbox/dir/subdir");
    std::ofstream("sandbox/file1.txt").put('a');
    fs::copy("sandbox/file1.txt", "sandbox/file2.txt"); // copy file
    fs::copy("sandbox/dir", "sandbox/dir2"); // copy directory (non-recursive)
    // sandbox holds 2 files and 2 directories, one of which has a subdirectory
    // sandbox/file1.txt
    // sandbox/file2.txt
    // sandbox/dir2
    // sandbox/dir
    //    sandbox/dir/subdir
    fs::copy("sandbox", "sandbox/copy", fs::copy_options::recursive);
    // sandbox/copy holds copies of the above files and subdirectories
    fs::remove_all("sandbox");
}
*/

// Load Material data
Switch loadMaterialProperties = thermophysicalProperties.lookupOrDefault<Switch>("loadMaterialProperties", "no");
if (loadMaterialProperties && (Pstream::master()))
{
fileName materialPropertyDirectory(fileName(thermophysicalProperties.lookup("materialPropertyDirectory")).expand());

if (!isDir(materialPropertyDirectory))
{
    Info << "Material properties have not been found." << nl
	 << "Verify path in constant/" << solidRegions[i].name() << "/thermophysicalProperties" << nl
         << "Exiting" << nl;
    return (0);
}

// copying files
string copyFiles("cp -rf " + materialPropertyDirectory + "/. constant/" + solidRegions[i].name() + "/data");
system(copyFiles);
copyFiles.clear();
}
    }

