for (int i = 1; i < solidRegions.size(); i++)
{
    // update Fields
    scalarField Ta_int = Ta_sub[i];
    forAll(cp_sub[i], cellI)
    {
        cp_sub[i][cellI] =
            cp_sub_coefs[i][0]
          + Ta_int[cellI] * cp_sub_coefs[i][1]
          + pow(Ta_int[cellI], 2) * cp_sub_coefs[i][2]
          + pow(Ta_int[cellI], 3) * cp_sub_coefs[i][3]
          + pow(Ta_int[cellI], 4) * cp_sub_coefs[i][4];
    }

    forAll(k_sub[i], cellI)
    {
        k_sub[i][cellI] =
            k_sub_coefs[i][0]
          + Ta_int[cellI] * k_sub_coefs[i][1]
          + pow(Ta_int[cellI], 2) * k_sub_coefs[i][2]
          + pow(Ta_int[cellI], 3) * k_sub_coefs[i][3]
          + pow(Ta_int[cellI], 4) * k_sub_coefs[i][4];
    }

    forAll(rho_sub[i], cellI)
    {
        rho_sub[i][cellI] =
            rho_sub_coefs[i][0]
          + Ta_int[cellI] * rho_sub_coefs[i][1]
          + pow(Ta_int[cellI], 2) * rho_sub_coefs[i][2]
          + pow(Ta_int[cellI], 3) * rho_sub_coefs[i][3]
          + pow(Ta_int[cellI], 4) * rho_sub_coefs[i][4];
    }

    // update BC
    #include "boundaryConditions/setEnergySubStructureBC.H"

    // solve energy conservation
    solve
    (
        fvm::ddt(cp_sub[i]*rho_sub[i], Ta_sub[i]) -
        fvm::laplacian(k_sub[i], Ta_sub[i])
    );

    /* print min and max temperatures in the terminal during the run */
    Info << "T in " << solidRegions[i].name();
    Info << ": max = " << max(Ta_sub[i]).value()
         << " / min = " << min(Ta_sub[i]).value()
         << endl;
}
