// Internal Temperature access to allow imposing a linear temperature at initial time.
// This has been included as a quick patch for the Demise Test Case definition.
// This should be generalized and coded as a preprocessing utility.
// Contributions are welcome. jl, 23 Oct 2017.

IOdictionary setLinearTemp
(
    IOobject
    (
        "simulationOptions/setLinearTemp",
        runTime.constant(),
        runTime.db(),
        IOobject::READ_IF_PRESENT,
        IOobject::NO_WRITE
    )
);

if (setLinearTemp!=dictionary::null)
{
Switch setLinear = setLinearTemp.lookupOrDefault<Switch>("setLinear", "no");
scalar T_top = setLinearTemp.lookupOrDefault<scalar>("T_top", 0.0);
scalar T_interface = setLinearTemp.lookupOrDefault<scalar>("T_interface", 0.0);
scalar T_bottom = setLinearTemp.lookupOrDefault<scalar>("T_bottom", 0.0);
scalar y_top = setLinearTemp.lookupOrDefault<scalar>("y_top", 0.0);
scalar y_interface = setLinearTemp.lookupOrDefault<scalar>("y_interface", 0.0);
scalar y_bottom = setLinearTemp.lookupOrDefault<scalar>("y_bottom", 0.0);

  if (setLinear)
  {
    // initialize temperature in porousMat
    forAll(Ta, celli)
    {
        Ta[celli] = T_bottom + (T_interface-T_bottom)*(mesh.C()[celli][1]-y_bottom)/(y_interface-y_bottom);
    }

    // initialize temperature in demiseMat
    for (int i = 1; i < solidRegions.size(); i++)
    {
    // initialize linear Fields
        forAll(Ta_sub[i], celli)
        {
            if (solidRegions[i].C()[celli][1]>y_interface)
            {
            Ta_sub[i][celli] = T_interface + (T_top-T_interface)*(solidRegions[i].C()[celli][1]-y_interface)/(y_top-y_interface);
            }
            else
            {
            Ta_sub[i][celli] = T_bottom + (T_interface-T_bottom)*(solidRegions[i].C()[celli][1]-y_bottom)/(y_interface-y_bottom);
            }
        }
    }
  }
}
