IOdictionary setOutput
(
    IOobject
    (
        "simulationOptions/setOutput",
        runTime.constant(),
        runTime.db(),
        IOobject::MUST_READ,
        IOobject::NO_WRITE
    )
);

//Read the switches
Switch oneDoutput = setOutput.lookupOrDefault<Switch>("oneDoutput", "no");
Switch plotProfiles = setOutput.lookupOrDefault<Switch>("plotProfiles", "no");
Switch plotShape = setOutput.lookupOrDefault<Switch>("plotShape", "no");
Switch writePyrolysis = setOutput.lookupOrDefault<Switch>("writePyrolysis", "no");
Switch writeVelocityComponents = setOutput.lookupOrDefault<Switch>("writeVelocityComponents", "no");
Switch plotMdotGmag = setOutput.lookupOrDefault<Switch>("plotMdotGmag", "no");

// This is a good place to implement a "restart" option.
// (all fields needed to restart a given case shall be written in the time directories).
// A bit of work needs to be done in createPorousFields.H that is partly initialized from t=0 data read in constantProperties.


if (!finiteRate)
{
    forAll(Y, i)
    {
        Y[i].writeOpt() = IOobject::NO_WRITE;
    }

    forAll(Dm, i)
    {
        Dm[i].writeOpt() = IOobject::NO_WRITE;
    }
}

if (elementConservation)
{
    forAll(Z, i)
    {
        Z[i].writeOpt() = IOobject::AUTO_WRITE;
    }
}


if (axiSymmetricalFlux)
{
    BprimeCw.writeOpt() = IOobject::AUTO_WRITE;
    BprimeGw.writeOpt() = IOobject::AUTO_WRITE;
}

if (verifyThermalEquilibrium)
{
    Tg.writeOpt() = IOobject::AUTO_WRITE;
}

 if (volAblation)
{
    rT.writeOpt() = IOobject::AUTO_WRITE;
    eps_s.writeOpt() = IOobject::AUTO_WRITE;
    forAll(Dm, i)
    {
        Dm[i].writeOpt() = IOobject::AUTO_WRITE;
    }
}

if (cfd)
{
    U.writeOpt() = IOobject::AUTO_WRITE;
}

// user defined write options

if (writePyrolysis)
{
forAll(pi, i)
{
    pi[i].writeOpt() = IOobject::AUTO_WRITE;
}

forAll(Xsi, i)
{
    Xsi[i].writeOpt() = IOobject::AUTO_WRITE;
}

forAll(AField, i)
{
    AField[i].writeOpt() = IOobject::AUTO_WRITE;
}

forAll(rho, i)
{
    rho[i].writeOpt() = IOobject::AUTO_WRITE;
}

forAll(eps, i)
{
    eps[i].writeOpt() = IOobject::AUTO_WRITE;
}

}

if (writeVelocityComponents)
{
    vi.writeOpt() = IOobject::AUTO_WRITE;
    vj.writeOpt() = IOobject::AUTO_WRITE;
    vk.writeOpt() = IOobject::AUTO_WRITE;
    vmag.writeOpt() = IOobject::AUTO_WRITE;
}

mesh.write();

