// Gas thermodynamics and transport properties

// Read data from a table
forAll (M, i)
{
    M[i] = gasPT.M(p[i], Tg[i]);
}

forAll (hg, i)
{
    hg[i] = gasPT.h(p[i], Tg[i]);
}

forAll (mu, i)
{
    mu[i] = gasPT.mu(p[i], Tg[i]);
}

forAll(M.boundaryField()[movingPatchID], faceI)
{
   M.boundaryFieldRef()[movingPatchID][faceI] =
        gasPT.M
        (
            p.boundaryField()[movingPatchID][faceI],
            Tg.boundaryField()[movingPatchID][faceI]
        );
}

forAll(hg.boundaryField()[movingPatchID], faceI)
{
    hg.boundaryFieldRef()[movingPatchID][faceI] =
         gasPT.h
        (
            p.boundaryField()[movingPatchID][faceI],
            Tg.boundaryField()[movingPatchID][faceI]
        );
}
forAll(mu.boundaryField()[movingPatchID], faceI)
{
    mu.boundaryFieldRef()[movingPatchID][faceI] =
         gasPT.mu
        (
            p.boundaryField()[movingPatchID][faceI],
            Tg.boundaryField()[movingPatchID][faceI]
         );
}

// Densities
rho_g  = p * M / (R * Tg); // gas density (perfect gas law)
rho[0] = rho_g;

// Notes : 
// 1- multicomponent diffusion of elements is not implemented (in development in Mutation++)
// 2- element enthalpy diffusion is not implemented (in development in Mutation++)
// As a consequence the model is correct when element diffusion is neglected.
