// Compute gas properties - either reading tables or using Mutation++ (depending on options).

if (chemistryTransport=="nonPorous")
{
    #include "updateTabulatedGasProperties.H"
}
else if (chemistryTransport=="tabulatedGasProperties")
{ 
    #include "updateTabulatedGasProperties.H" 
}
else if (chemistryTransport=="equilibriumConstantElementalComposition")
{   
    #include "updateConstantEquilibriumMixtureProperties.H"
}
else if (chemistryTransport=="equilibriumElementConservation")
{
    #include "updateEquilibriumMixtureProperties.H"
}
else if (chemistryTransport=="finiteRateSpeciesConservation")
{
    #include "updateMixtureProperties.H"
}
else
{
Info << "Unknown chemistryTransport model" << nl;
return(0);
}
