//  The advancement of the pyrolysis reactions is computed

// Update pyrolysis zone (nb: if Ta<Tp[i], then there is no pyrolysis at all because the temperature is below the threshold)
forAll(Xsi, i)
{
    forAll(Ta, cellI)
    {
        if (Ta[cellI] < Tp[i].value())
        {
            AField[i][cellI] = 0.0;
        }
        else
        {
            AField[i][cellI] = Ap[i].value();
        }
    }
}

//  Integration
for (int i = 0; i < Xsi.size(); i++)
{
    volScalarField& Xsii = Xsi[i];

    solve
    (
          fvm::ddt(Xsii)
        - fvm::div(mesh.phi(), Xsii)
        - pow((1 - Xsii), mp[i]) * AField[i] * pow(Ta, np[i]) * exp(-Ep[i] / (R * Ta)),
        mesh.solver("Xsii")
    );

}

// Compute pyrolysis rate

piTotal = piTotal * 0.;
forAll(pi_elem_species,i)
{
  pi_elem_species[i]=  pi_elem_species[i] * 0.;
}
autoPtr<RectangularMatrix<scalar> > stoech;
stoech.reset(new RectangularMatrix<scalar>(Zp));
if(speciesPyrolysis)
  {
    stoech.reset(new RectangularMatrix<scalar>(Yp));
  }

// sum over pyrolysis reactions
forAll(pi, j)
{
    pi[j] =
          epsI[hashXsi[j][0]] *
          rhoI[hashXsi[j][0]] *
          Fp[j] *
          (fvc::ddt(Xsi[j]) - fvc::div(mesh.phi(), Xsi[j]));
}

forAll(pi_elem_species,i)
{
  forAll(pi, j)
    {
      pi_elem_species[i]+=  stoech()[j][i] * pi[j];
    }
  piTotal+=pi_elem_species[i];
}


