// Update solid density after pyrolysis
rho_s = rho_s * 0.;
for (int i = 1; i < nSolidPhases + 1; i++) // update solid phase densities
  {
    rho[i] = rhoI[i] * un;
    forAll(Xsi, j)
      {
	if (hashXsi[j][0] == i)
	  rho[i] -= rhoI[i] * Fp[j] * Xsi[j];
      }
    rho_s += rho[i] * eps[i];
  }

// update the ratio solid density over virgin solid density
rhoByRhov=rho_s/(rho_sv.value());

// write the outputs
if (runTime.outputTime())
  {
    rho_s.write();
    rhoByRhov.write();
    p.write();
    Ta.write();
    M.write();
    forAll(pi,j)
      {
	pi[j].write();
      }
    forAll(pi_elem_species,i)
      {
	pi_elem_species[i].write();
      }
    piTotal.write();
  }
