#include "readTecplotFile.H"

Foam::readTecplotFile::readTecplotFile()
{
}
// Read the tecplot files (.dat)
void Foam::readTecplotFile::readTecFile(word fileName,int nVar,int nZone,int timeI,List<List<List<List<double> > > >& tecplotTable, List<string>& variables)
{
  // read the .dat file 
  std::ifstream plot3dFile(fileName);  
  Info << "Reading " << fileName << endl;
  string line;
  std::getline(plot3dFile, line); // get TITLE                                                                                                                                                                                                               

  autoPtr<IStringStream> Istring;
  Istring.reset(new IStringStream(line));
  string title;
  word block;
  token punctuation;
  Istring() >> block;
  Istring() >> punctuation;
  Istring() >> title;

  string variable;
  std::getline(plot3dFile, line); // VARIABLES =                                                                                                                                                                                                                                                
  for (int i =0;i<nVar;i++)
    {
      std::getline(plot3dFile, line); // VARIABLES                                                                                                                                                                                                                                                                          
      Istring.reset(new IStringStream(line));
      Istring() >> variable; // get the variables in Istring() 
      
      variable.erase(std::remove(variable.begin(), variable.end(), ' '), variable.end());
      variables[i]=variable;
    }

  Info << "number of variables = " << nVar << " : " ;
  forAll (variables,i)
    {
      Info << variables[i] << ", ";                                                                                                                                                                                                                        
    }

  Info<<endl;
  tecplotTable[timeI].resize(nZone);
  for (int zon=0; zon < nZone ; zon++)
    {
      tecplotTable[timeI][zon].resize(nVar);

      std::getline(plot3dFile, line); // ZONE                                                                                                                                                                                                                                                                                
      Istring.reset(new IStringStream(line));
      Istring() >> block;
      Istring() >> punctuation;
      Istring() >> title;
      word tit = title;
      Info << "Zone= " << tit << endl;
      std::getline(plot3dFile, line);  // STRANDID                                                                                                                                                                                                                                                                           
      std::getline(plot3dFile, line); // IJK                                                                                                                                                                                                                                                                                 

      std::stringstream ss;
      std::string input = line;
      ss << input;
      int found;
      std::string temp;

      List<int> IJK(3);
      int n =0;
      while(std::getline(ss, temp,'=')) {
        if(std::stringstream(temp)>>found)
          {
            IJK[n]=found;
            n++;
          }
      }
      std::getline(plot3dFile, line); // DATA                                                                                                                                                                                                                                                                                
      std::getline(plot3dFile, line); // DT                                                                                                                                                                                                                                                                                  

      label iPoints=IJK[0];
      label jPoints=IJK[1];
      label kPoints=IJK[2];
      Info << "I="<<IJK[0] <<",J="<<IJK[1]<<",K="<<IJK[2]<<endl;
      forAll(tecplotTable[timeI][zon],var_i)
        {
          tecplotTable[timeI][zon][var_i].resize(iPoints*jPoints*kPoints);

          for(label ijk = 0; ijk < iPoints*jPoints*kPoints; ijk++)
            {
              double value;
              plot3dFile >> value;
              tecplotTable[timeI][zon][var_i][ijk]=value;
            }
        }
      std::getline(plot3dFile, line); // blank line                                                                                                                                                                                                                                                                          

      Info << "last variable = " <<  tecplotTable[timeI][zon][nVar-1][iPoints*jPoints*kPoints-1] << endl;
      Info << endl;
  
    }

}
