set terminal pdf enhanced size 6,4
set xlabel "t (s)"
set ylabel "~m{.99.}_g, kg/m^2/s"
set y2label "Depth, m"
set key outside
set ytics nomirror
set y2tics
set xrange [0: 60]
set autoscale y
set autoscale y2
set output 'PATO_Mass_TestCase_1.0.pdf'
set title "Ablation test case #1.0 (PATO type 2 vs. FIAT) \n- Pyrolysis-gas blowing rate and pyrolysis zone"
plot \
"../output/mass"  using 1:2 with lines lt 1 lc rgb "red" lw 2 title 'PATO: ~m{.99.}_g', \
"../output/mass"  using 1:4 axes x1y2 with lines lt 1 lc rgb "blue" lw 2 title 'virgin 98%', \
"../output/mass"  using 1:5 axes x1y2 with lines lt 1 lc rgb "grey" lw 2 title 'char 2%' , \
"../documentation/ref/FIAT/pyrolysisFront"  using 1:3 lt rgb "black" lw 1 pt 6 title 'FIAT: ~m{.99.}_g', \
"../documentation/ref/FIAT/pyrolysisFront"  using 1:9 axes x1y2 lt rgb "black" lw 1 pt 8 title 'virgin 98%' , \
"../documentation/ref/FIAT/pyrolysisFront"  using 1:8 axes x1y2 lt rgb "black" lw 1 pt 4 title 'char 2%'
