set terminal pdf enhanced size 8,5
set xlabel "t (s)"
set ylabel "T (K)"
set key inside
set autoscale x
set autoscale y
set output 'PATO_Energy_TestCase_2.2_parallel.pdf'
set title "Ablation test case #2.2 (PATO parallel type 2 vs. Amaryllis) \n Thermocouple data"
plot \
"../output/surface_field_0"  using 1:2 with lines lw 2 title 'PATO: Tw' ,\
"../output/plot_field_0"  using 1:($3>1 ? $3 : 1/0) with lines lw 2 title 'x=1 mm',\
"../output/plot_field_0"  using 1:($4>1 ? $4 : 1/0) with lines lw 2 title 'x=2 mm',\
"../output/plot_field_0"  using 1:($5>1 ? $5 : 1/0) with lines lw 2  title 'x=4 mm',\
"../output/plot_field_0"  using 1:($6>1 ? $6 : 1/0) with lines lw 2  title 'x=8 mm',\
"../output/plot_field_0"  using 1:($7>1 ? $7 : 1/0) with lines lw 2 title 'x=12 mm',\
"../output/plot_field_0"  using 1:($8>1 ? $8 : 1/0) with lines lw 2 title 'x=16 mm',\
"../output/plot_field_0"  using 1:($9>1 ? $9 : 1/0) with lines lw 2 title 'x=24 mm',\
"../output/plot_field_0"  using 1:($10>1 ? $10 : 1/0) with lines lw 2 title 'x=50 mm',\
"../documentation/ref/Amaryllis/Amaryllis_Energy_TestCase_2.2.txt"  using 1:2 every 10 with points lt rgb 'grey20' lw 1 pt 8 title 'Amaryllis: Tw, x=x_w(t)' ,\
"../documentation/ref/Amaryllis/Amaryllis_Energy_TestCase_2.2.txt"  using 1:($3>1 ? $3 : 1/0) every 10 with points lt rgb 'grey20' lw 1 pt 6  title 'x=1 mm',\
"../documentation/ref/Amaryllis/Amaryllis_Energy_TestCase_2.2.txt"  using 1:($4>1 ? $4 : 1/0) every 10 with points lt rgb 'grey20' lw 1 pt 4  title 'x=2 mm',\
"../documentation/ref/Amaryllis/Amaryllis_Energy_TestCase_2.2.txt"  using 1:($5>1 ? $5 : 1/0) every 10 with points lt rgb 'grey20' lw 1 pt 10  title 'x=4 mm',\
"../documentation/ref/Amaryllis/Amaryllis_Energy_TestCase_2.2.txt"  using 1:($6>1 ? $6 : 1/0) every 10 with points lt rgb 'grey20' lw 1 pt 12  title 'x=8 mm',\
"../documentation/ref/Amaryllis/Amaryllis_Energy_TestCase_2.2.txt"  using 1:($7>1 ? $7 : 1/0) every 10 with points lt rgb 'grey20' lw 1 pt 2  title 'x=12 mm',\
"../documentation/ref/Amaryllis/Amaryllis_Energy_TestCase_2.2.txt"  using 1:($8>1 ? $8 : 1/0) every 10 with points lt rgb 'grey20' lw 1 pt 14  title 'x=16 mm',\
"../documentation/ref/Amaryllis/Amaryllis_Energy_TestCase_2.2.txt"  using 1:($9>1 ? $9 : 1/0) every 20 with points lt rgb 'grey20' lw 1 pt 18  title 'x=24 mm',\
"../documentation/ref/Amaryllis/Amaryllis_Energy_TestCase_2.2.txt"  using 1:($10>1 ? $10 : 1/0) every 20 with points lt rgb 'grey20' lw 1 pt 16  title 'Tb, x=x_b=50 mm'
