set terminal pdf enhanced size 8,5
set xlabel "t (s)"
set ylabel "~m{.99.}_g, kg/m^2/s"
set y2label "Depth (mm)"
set ytics nomirror
set key inside bottom
set y2tics
set autoscale y
set autoscale y2
set output 'PATO_Mass_TestCase_2.2.pdf'
set title "Ablation test case #2.2 (PATO vs. Amaryllis) \n Blowing rates, pyrolysis zone, and recession"
plot \
"../output/mass"  using 1:2 with lines lw 3 title 'PATO: ~m{.99.}_g', \
"../output/mass"  using 1:3 with lines lw 3 title '~m{.99.}_c', \
"../output/mass"  using 1:($4*1000) axes x1y2 with lines lw 3 title 'virgin 98%', \
"../output/mass"  using 1:($5*1000) axes x1y2 with lines lw 3 title 'char 2%',\
"../output/mass"  using 1:($6*1000) axes x1y2 with lines lw 3 title 'wall (recession)',\
"../documentation/ref/Amaryllis/Amaryllis_Mass_TestCase_2.2.txt"  using 1:2  every 20 with points lt rgb 'grey20' lw 1 pt 6 title 'Amaryllis: ~m{.99.}_g', \
"../documentation/ref/Amaryllis/Amaryllis_Mass_TestCase_2.2.txt"  using 1:3  every 20 with points lt rgb 'grey20' lw 1 pt 12 title '~m{.99.}_c', \
"../documentation/ref/Amaryllis/Amaryllis_Mass_TestCase_2.2.txt"  using 1:($4*1000)  every 20 axes x1y2 with points lt rgb 'grey20' lw 1 pt 8 title 'virgin 98%', \
"../documentation/ref/Amaryllis/Amaryllis_Mass_TestCase_2.2.txt"  using 1:($5*1000)  every 20 axes x1y2 with points  lt rgb 'grey20' lw 1 pt 4 title 'char 2%',\
"../documentation/ref/Amaryllis/Amaryllis_Mass_TestCase_2.2.txt"  using 1:($6*1000)  every 20 axes x1y2 with points lt rgb 'grey20' lw 1 pt 10 title 'wall (recession)'

