set terminal pdf enhanced size 8,5
set xlabel "x (m)"
set ylabel "Density (kg/m^3)" 
set y2label "Oxygen mass fraction"
set key outside
set ytics nomirror
set y2tics
set xrange [0: 0.025]
set autoscale y
set autoscale y2
#set key inside bottom 
set output 'profile.pdf' 
set title "Oxidation of a carbon fiber preform at 900 K under dry air"
plot \
"../output/profiles/rhos0"  using 1:2 with lines lw 3 title 'rho, t=0', \
"../output/profiles/rhos1200"  using 1:2 with lines lw 3  title 't=20 min', \
"../output/profiles/rhos2400"  using 1:2 with lines lw 3  title 't=40 min', \
"../output/profiles/rhos3600"  using 1:2 with lines lw 3  title 't=1 hour', \
"../output/profiles/Yi3600"  using 1:3 axes x1y2 with lines lw 2 title 'Y[O2],t=1 hour'
