set terminal pdf enhanced size 8,5
set xlabel "t (s)"
set ylabel "~m{.99.} (kg/m^2/s)" 
set y2label "Depth (mm)"
set ytics nomirror
set key inside top left
set y2tics
set autoscale y
set autoscale y2
set output 'Stardust_Mass.pdf'
set title "Stardust stagnation point - material: TACOT, code: PATO, model: type 2 \n Blowing rates, pyrolysis zone and recession" 
plot \
"../output/mass"  using 1:2 with lines lw 3 title '~m{.99.}_g', \
"../output/mass"  using 1:3 with lines lw 3 title '~m{.99.}_c', \
"../output/mass"  using 1:($4*1000) axes x1y2 with lines lw 3 title 'virgin 98%', \
"../output/mass"  using 1:($5*1000) axes x1y2 with lines lw 3 title 'char 2%',\
"../output/mass"  using 1:($6*1000) axes x1y2 with lines lw 3 title 'recession'
